Publish view version
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expected_revision": 123,
"expected_compile_fingerprint": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions"
payload = {
"expected_revision": 123,
"expected_compile_fingerprint": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expected_revision: 123, expected_compile_fingerprint: '<string>'})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expected_revision' => 123,
'expected_compile_fingerprint' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions"
payload := strings.NewReader("{\n \"expected_revision\": 123,\n \"expected_compile_fingerprint\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expected_revision\": 123,\n \"expected_compile_fingerprint\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expected_revision\": 123,\n \"expected_compile_fingerprint\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-slice-version",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"source_draft_revision": 123,
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"compiled": {
"schema": "penumbra.project-context-compiled",
"version": 1,
"compiler_version": "mesh-context-compiler/1",
"fingerprint": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>",
"definition": {
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"dependencies": {
"ontology_revision": "<string>",
"shape_artifacts": [
{
"shape_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_digest": "<string>"
}
],
"bridge_set_digest": "<string>"
},
"resolved_scope": {
"files": {
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"graph": {
"node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"shape_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_names": [
"<string>"
],
"relationship_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"relationship_type_names": [
"<string>"
],
"search_relationships": true
}
},
"warnings": [
{
"code": "<string>",
"catalog": "files",
"detail": "<string>"
}
]
},
"definition_hash": "<string>",
"resolved_hash": "<string>",
"compiler_version": "<string>",
"previous_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Views
Publish view version
Publish a View’s draft as a new version.
Publish view version
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expected_revision": 123,
"expected_compile_fingerprint": "<string>"
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions"
payload = {
"expected_revision": 123,
"expected_compile_fingerprint": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expected_revision: 123, expected_compile_fingerprint: '<string>'})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expected_revision' => 123,
'expected_compile_fingerprint' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions"
payload := strings.NewReader("{\n \"expected_revision\": 123,\n \"expected_compile_fingerprint\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expected_revision\": 123,\n \"expected_compile_fingerprint\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/context/slices/{id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expected_revision\": 123,\n \"expected_compile_fingerprint\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.context-slice-version",
"version": 1,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"source_draft_revision": 123,
"definition": {
"purpose": "<string>",
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"compiled": {
"schema": "penumbra.project-context-compiled",
"version": 1,
"compiler_version": "mesh-context-compiler/1",
"fingerprint": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"purpose": "<string>",
"definition": {
"scope": {
"files": {
"file_ids": [],
"collection_ids": []
},
"graph": {
"node_ids": [],
"entity_type_ids": [],
"relationship_type_ids": []
},
"shape_ids": []
}
},
"dependencies": {
"ontology_revision": "<string>",
"shape_artifacts": [
{
"shape_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact_digest": "<string>"
}
],
"bridge_set_digest": "<string>"
},
"resolved_scope": {
"files": {
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"graph": {
"node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"shape_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type_names": [
"<string>"
],
"relationship_type_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"relationship_type_names": [
"<string>"
],
"search_relationships": true
}
},
"warnings": [
{
"code": "<string>",
"catalog": "files",
"detail": "<string>"
}
]
},
"definition_hash": "<string>",
"resolved_hash": "<string>",
"compiler_version": "<string>",
"previous_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_by_credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "2023-11-07T05:31:56Z",
"replayed": true
}
}Operation ID:
http.views.versions.publish
POST /v1/orgs/{org}/projects/{project}/context/slices/{id}/versions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.
Required string length:
1 - 200Pattern:
^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$Body
application/json
Response
2XX - application/json
Success.
- Option 1
- Option 2
Show child attributes
Show child attributes